// =====================================================================
//  $Id: bt00.cc,v 1.3 2003/10/06 16:28:14 goiwai Exp $
//  $Name: CLDAQ-1-14-03 $
//  $Log: bt00.cc,v $
//  Revision 1.3  2003/10/06 16:28:14  goiwai
//  *** empty log message ***
//
//  Revision 1.2  2003/07/30 16:13:49  goiwai
//  ファイルにコミットログをつけることにしました.
//
// =====================================================================
#include "TRunManager.hh"
#include "TTerminalUserInterface.hh"
#include "TCrate.hh"

#include "Bt00RunAction.hh"
#include "Bt00EventAction.hh"
#include "Bt00CrateDefinition.hh"
#include "Bt00ReadoutBookDefinition.hh"
#include "Bt00EventViewCommand.hh"

int main( int argc, char** argv, char** envv )
{
  TRunManager* manager = new TRunManager( new TTerminalUserInterface() );

  manager -> GetEnvironmentVariableTable().SetEnvironment( "bt00setup" );
  manager -> SetRunAction( new Bt00RunAction() );
  manager -> SetEventAction( new Bt00EventAction() );
  manager -> SetCrateDefinition( new Bt00CrateDefinition() );
  manager -> SetReadoutBookDefinition( new Bt00ReadoutBookDefinition() );

  manager -> SetUserCommand( new Bt00EventViewCommand() );

  manager -> SessionStart();

  delete manager;

  return 0;
}
